## org.apache.poi.hwpf.sprm
Class SprmUncompressor

    java.lang.Object
      org.apache.poi.hwpf.sprm.SprmUncompressor

Direct Known Subclasses:
  CharacterSprmUncompressor, ParagraphSprmUncompressor, SectionSprmUncompressor, TableSprmUncompressor

    @Internal
    public abstract class SprmUncompressor

extends java.lang.Object

Constructor Summary
`protected` `SprmUncompressor()`

Method Summary
`static boolean` `getFlag(int x)` Converts an int into a boolean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SprmUncompressor

    protected SprmUncompressor()

Method Detail

### getFlag

    public static boolean getFlag(int x)

  Converts an int into a boolean. If the int is non-zero, it returns true. Otherwise it returns false.

  Parameters:
    `x` - The int to convert.
  Returns:
    A boolean whose value depends on x.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.